import QtQuick 1.0
import "todoteria.js" as JS

Item {
    anchors.fill: parent
    z: 1
    visible: false

    property string am_list_type;
    property string am_data;
    property int am_index;

    function setCenter(cx, cy) {
        var nx = cx - menuRect.width / 2
        var ny = cy - menuRect.height / 2
        nx = nx < 2 ? 2 : nx > actionMenu.width - menuRect.width - 2 ? actionMenu.width - menuRect.width - 2 : nx;
        ny = ny < 2 ? 2 : ny > actionMenu.height - menuRect.height - 2 ? actionMenu.height - menuRect.height - 2 : ny;

        menuRect.x = nx;
        menuRect.y = ny;
    }

    function show(list_type, index, data) {
        am_list_type = list_type;
        am_index = index;
        am_data = data;

        actionMenu.visible = true
    }

    Rectangle {
        id: menuRect
        z: 2
        color: main.inverted ? "black" : "white"
        border.width: 4
        border.color: main.inverted ? "white" : "black"

        width: menuRows.width
        height: menuRows.height

        Column {
            id: menuRows
            width: c_font_size*8

            ActionMenuItem {
                visible: am_list_type == 1
                text: "Edit"
                onMenuItemClicked: {
                    addItemWindow.init(am_index, am_data)
                    main.state = "addItemWindow"

                    actionMenu.visible = false
                }
            }

            Separator {
                visible: am_list_type == 1
            }

            ActionMenuItem {
                text: "Delete"
                onMenuItemClicked: {
                    if (am_list_type == 0)
                        JS.removeListFromDB(am_data);
                    listlist.remove(am_index)
                    modified = true;
                    JS.updateListInDB(list_id, timestamp, modified);

                    actionMenu.visible = false
                }
            }
        }
    }
    MouseArea {
        anchors.fill: parent
        onClicked: actionMenu.visible = false
    }
}
