import QtQuick 1.0
import "todoteria.js" as JS

Item {

    property int itemId: -1

    function init(id, name) {
        itemId = id;
        inputFieldItemName.text = name;
    }

    Item {
        id: header
        height: c_rect_size
        width: parent.width

        Text {
            anchors.centerIn: parent
            font.pixelSize: c_font_size*1.5
            font.bold: true
            color: main.inverted ? "white" : "black"
            text: itemId == -1 ? "Add New Item" : "Edit Item"
        }
    }

    Separator {
        id: separator
        anchors.top: header.bottom
    }

    Column {
        anchors.top: separator.bottom
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right

        anchors.topMargin: c_font_size
        anchors.leftMargin: c_font_size
        anchors.rightMargin: c_font_size
        spacing: c_font_size


        Text {
            font.bold: true
            font.pixelSize: c_font_size
            color: main.inverted ? "white" : "black"
            text: "Name:"
        }

        InputField {
            id: inputFieldItemName
            width: parent.width
            height: c_rect_size
        }

        Item {
            width: parent.width
            height: c_rect_size

            Button {
                anchors.left: parent.left
                text: "OK"
                onButtonClicked: {
                    if (main.state == "addItemWindow") {
                        if (itemId == -1)
                            listWindow.addItem(inputFieldItemName.text);
                        else
                            listWindow.editItem(itemId, inputFieldItemName.text);
                        main.state = "listWindow"
                    }
                }
            }

            Button {
                text: "Cancel"
                anchors.right: parent.right
                onButtonClicked: main.state = "listWindow"
            }
        }
    }
}
