import QtQuick 1.0

Item {

    Item {
        id: header
        height: c_rect_size
        width: parent.width

        Text {
            anchors.centerIn: parent
            font.pixelSize: c_font_size*1.5
            font.bold: true
            color: main.inverted ? "white" : "black"
            text: "Help: Account"
        }
    }

    Separator {
        id: separator
        anchors.top: header.bottom
    }

    Flickable {
        anchors.top: separator.bottom
        anchors.bottom: separator2.top
        anchors.left: parent.left
        anchors.right: parent.right

        anchors.topMargin: c_font_size
        anchors.bottomMargin: c_font_size
        anchors.leftMargin: c_font_size
        anchors.rightMargin: c_font_size

        contentHeight: helpColumn.height
        contentWidth: parent.width - c_rect_size

        clip: true

        Column {
            id: helpColumn
            width: parent.width
            spacing: c_font_size

            Text {
                width: parent.width
                font.pixelSize: c_font_size
                textFormat: Text.RichText
                wrapMode: Text.WordWrap
                color: main.inverted ? "white" : "black"
                text: "<p>Todoteria account is optional. If you have only 2-3 lists or using todoteria app only on single device most probably you <b>don't need</b> account. App works completely OK without account.</p><p>If you have more lists or share your lists between multiple devices then recommended way is to create account in todoteria site. This way you will be able to handle your lists in todoteria.com site and/or other devices. As well you will not have to enter each list by hand when managing your lists in todoteria.com site or moving to other device.</p>"
            }


        }
    }

    Separator {
        id: separator2
        anchors.bottom: toolbar.top
    }

    Toolbar {
        id: toolbar
        anchors.bottom: parent.bottom
        ToolbarButton {
            image: "back"
            onButtonClicked: {
                main.state = "loginWindow"
            }
        }
    }
}
