import QtQuick 1.0

Item {

    Item {
        id: header
        height: c_rect_size
        width: parent.width

        Text {
            anchors.centerIn: parent
            font.pixelSize: c_font_size*1.5
            font.bold: true
            color: main.inverted ? "white" : "black"
            text: "Privacy Policy"
        }
    }

    Separator {
        id: separator
        anchors.top: header.bottom
    }

    Flickable {
        anchors.top: separator.bottom
        anchors.bottom: separator2.top
        anchors.left: parent.left
        anchors.right: parent.right

        anchors.topMargin: c_font_size
        anchors.bottomMargin: c_font_size
        anchors.leftMargin: c_font_size
        anchors.rightMargin: c_font_size

        contentHeight: helpColumn.height
        contentWidth: parent.width - c_rect_size

        clip: true

        Column {
            id: helpColumn
            width: parent.width
            spacing: c_font_size

            Text {
                width: parent.width
                font.pixelSize: c_font_size
                textFormat: Text.RichText
                wrapMode: Text.WordWrap
                color: main.inverted ? "white" : "black"
                text: '<p>The following document outlines the ways sandbox.lt ("Service Provider", "we" or "our") treats the information you provide while using todoteria.com.</p>' +
            '<p>Please read this Privacy Policy carefully.</p>' +
            '<b>The Type of Information the Website Collects</b>' +
            '<p>The Website generally collects personally identifying information with your specific knowledge and consent. For instance, when you register for account.</p>' +
            '<p>Our servers may also automatically collect information about your computer when you visit the Website, including without limitation the type of browser software you use, the operating system you are running, the website that referred you, and your Internet Protocol ("IP") address. Your IP address is usually associated with the place from which you enter the Internet, like your Internet Service Provider, your company or your university.</p>' +
            '<b>How the Website Uses Information Provided by You</b>' +
            '<p>Service Provider uses your e-mail as username and password to grant you access to and use of the Website. Your e-mail address will be used, at your request, to send you registration information.</p>'
            }


        }
    }

    Separator {
        id: separator2
        anchors.bottom: toolbar.top
    }

    Toolbar {
        id: toolbar
        anchors.bottom: parent.bottom
        ToolbarButton {
            image: "back"
            onButtonClicked: {
                main.state = "loginWindow"
            }
        }
    }
}
