import QtQuick 1.0

Rectangle {
    property alias text: textInput.text
    property bool lowerCase: false
    property alias echoMode: textInput.echoMode

    border.width: 1
    border.color: main.inverted ? "white" : "black"
    color: "white"

    TextInput {
        id: textInput
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: parent.left
        anchors.leftMargin: c_small_spacing
        height: c_inner_size
        width: parent.width-c_small_spacing*2
        font.pixelSize: c_font_size
        font.capitalization: lowerCase ? Font.AllLowercase : Font.MixedCase
        color: "black"

        onAccepted: {
            textInput.closeSoftwareInputPanel()
        }

        onActiveFocusChanged: {
            if (!textInput.activeFocus) textInput.closeSoftwareInputPanel();
        }
    }
}
