import QtQuick 1.0

Rectangle {
    id: main
    width: 360
    height: 640

    property int c_font_size: parseInt(24*c_multi)
    property int c_rect_size: parseInt(48*c_multi)
    property int c_inner_size: parseInt(36*c_multi)
    property int c_small_spacing: parseInt(12*c_multi)

    property string c_c1l: "#FAEAD0";
    property string c_c1d: "#EEDFC6";
    property string c_c2l: "#FFFFFF";
    property string c_c2d: "#EEEEEE";
    property string c_c3l: "#BABCC1";
    property string c_c3d: "#A4ABC1";

    property string email: "";
    property string show_email: "";
    property string login_token: "";

    property string link_color: "#FF0000";
    property bool auto_sync: false;
    property bool show_sync_results: false;
    property int prottl: 0;
    property bool inverted: false;

    Image {
        id: themeImage
        anchors.fill: parent
        fillMode: Image.Tile
        source: "../images/background_grid.png"
    }

    MainWindow {
        id: mainWindow
        width: parent.width
        height: parent.height
    }

    AddListWindow {
        id: addListWindow
        width: parent.width
        height: parent.height
        opacity: 0.0
    }

    ListWindow {
        id: listWindow
        x: parent.width
        width: parent.width
        height: parent.height
    }

    AddItemWindow {
        id: addItemWindow
        width: parent.width
        height: parent.height
        opacity: 0.0
    }

    HelpWindow {
        id: helpWindow
        width: parent.width
        height: parent.height
        opacity: 0.0
    }

    HelpAccountWindow {
        id: helpAccountWindow
        width: parent.width
        height: parent.height
        opacity: 0.0
    }

    HelpPrivacyWindow {
        id: helpPrivacyWindow
        width: parent.width
        height: parent.height
        opacity: 0.0
    }

    LoginWindow {
        id: loginWindow
        x: -parent.width
        width: parent.width
        height: parent.height
    }

    SettingsWindow {
        id: settingsWindow
        width: parent.width
        height: parent.height
        opacity: 0.0
    }

    states: [
        State {
            name: ""
            PropertyChanges { target: mainWindow; opacity: 1.0; x: 0 }
            PropertyChanges { target: addListWindow; opacity: 0.0 }
            PropertyChanges { target: listWindow; x: main.width }
            PropertyChanges { target: helpWindow; opacity: 0.0 }
            PropertyChanges { target: loginWindow; x: -main.width }
            PropertyChanges { target: settingsWindow; opacity: 0.0 }
        },
        State {
            name: "addListWindow"
            PropertyChanges { target: mainWindow; opacity: 0.0 }
            PropertyChanges { target: addListWindow; opacity: 1.0 }
        },
        State {
            name: "listWindow"
            PropertyChanges { target: mainWindow; x: -main.width }
            PropertyChanges { target: listWindow; x: 0; opacity: 1.0 }
            PropertyChanges { target: addItemWindow; opacity: 0.0 }
            PropertyChanges { target: settingsWindow; opacity: 0.0 }
        },
        State {
            name: "addItemWindow"
            PropertyChanges { target: mainWindow; x: -main.width }
            PropertyChanges { target: listWindow; opacity: 0.0; x: 0 }
            PropertyChanges { target: addItemWindow; opacity: 1.0 }
        },
        State {
            name: "helpWindow"
            PropertyChanges { target: mainWindow; opacity: 0.0 }
            PropertyChanges { target: helpWindow; opacity: 1.0 }
        },
        State {
            name: "loginWindow"
            PropertyChanges { target: mainWindow; x: main.width }
            PropertyChanges { target: loginWindow; x: 0 }
            PropertyChanges { target: helpAccountWindow; opacity: 0.0 }
            PropertyChanges { target: helpPrivacyWindow; opacity: 0.0 }
        },
        State {
            name: "settingsWindow"
            PropertyChanges { target: mainWindow; opacity: 0.0; x: settingsWindow.backState == "" ? 0 : -main.width }
            PropertyChanges { target: listWindow; opacity: 0.0; x: settingsWindow.backState == "" ? main.width : 0 }
            PropertyChanges { target: settingsWindow; opacity: 1.0 }
        },
        State {
            name: "helpAccountWindow"
            PropertyChanges { target: mainWindow; x: main.width }
            PropertyChanges { target: loginWindow; x: 0; opacity: 0.0 }
            PropertyChanges { target: helpAccountWindow; opacity: 1.0 }
        },
        State {
            name: "helpPrivacyWindow"
            PropertyChanges { target: mainWindow; x: main.width }
            PropertyChanges { target: loginWindow; x: 0; opacity: 0.0 }
            PropertyChanges { target: helpPrivacyWindow; opacity: 1.0 }
        }
    ]

    transitions: Transition {
        to: "*"
        NumberAnimation { properties: "opacity"; duration: 500; }
        NumberAnimation { properties: "x"; duration: 500; easing {type: Easing.OutBounce} }
    }

    MouseArea {
        anchors.fill: needs_keyboard_hack ? parent : null
        onPressed: {
            // Let the mousePress events go to below items
            mouse.accepted = false;
            // Clicked item below the MouseArea gets the focus
            var selectedItem = main.childAt(mouse.x, mouse.y);
            if (!selectedItem) selectedItem = main;
            selectedItem.focus = true;
        }
    }
}
