import QtQuick 1.0
import "todoteria.js" as JS

Rectangle {
    id: resultsWindow
    anchors.fill: parent
    color: "white"
    opacity: 0.95
    z: 1

    visible: false
    property string added: "";
    property string modified: "";
    property string removed: "";

    Column {
        anchors.centerIn: parent
        spacing: c_font_size

        Text {
            wrapMode: Text.WordWrap
            font.pixelSize: c_font_size
            color: main.inverted ? "white" : "black"
            text: "Synch results:"
        }

        Text {
            wrapMode: Text.WordWrap
            font.pixelSize: c_font_size
            color: main.inverted ? "white" : "black"
            text: "Added: " + added
        }

        Text {
            wrapMode: Text.WordWrap
            font.pixelSize: c_font_size
            color: main.inverted ? "white" : "black"
            text: "Modified: " + modified
        }

        Text {
            wrapMode: Text.WordWrap
            font.pixelSize: c_font_size
            color: main.inverted ? "white" : "black"
            text: "Removed: " + removed
        }

        Item {
            width: parent.width
            height: c_rect_size
            Button {
                anchors.centerIn: parent
                text: "OK"
                onButtonClicked: {
                    resultsWindow.visible = false;
                }
            }
        }
    }
}
