import QtQuick 1.0
import "todoteria.js" as JS

Item {
    property string name;
    property string thumb: '';

    width: c_rect_size*2
    height: c_rect_size*2

    Rectangle {
        anchors.fill: parent
        color: main.inverted ? "white" : "black"
        Rectangle {
            anchors.centerIn: parent
            width: parent.width-2
            height: parent.height-2

            Image {
                anchors.fill: parent
                fillMode: Image.Tile
                source: "../images/background_" + (thumb != '' ? thumb : name) + ".png"
            }
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            themeImage.source = "../images/background_" + name + ".png";
            if (name == 'black')
                main.inverted = true;
            else
                main.inverted = false;
            JS.setLinkColor(name);
            JS.saveTheme(list_id, name);
            _settingsWindow.setTheme(name);
            _settingsWindow.setModified();
        }
    }
}

